Package de.willuhn.jameica.hbci.synchronize.hbci

# Interface HBCISynchronizeJob

All Superinterfaces:
  `SynchronizeJob`

All Known Implementing Classes:
  `HBCISynchronizeJobKontoauszug`, `HBCISynchronizeJobKontoauszugPdf`, `HBCISynchronizeJobQuittung`, `HBCISynchronizeJobSepaDauerauftragDelete`, `HBCISynchronizeJobSepaDauerauftragList`, `HBCISynchronizeJobSepaDauerauftragStore`, `HBCISynchronizeJobSepaLastschrift`, `HBCISynchronizeJobSepaSammelLastschrift`, `HBCISynchronizeJobSepaSammelUeberweisung`, `HBCISynchronizeJobSepaUeberweisung`

public interface HBCISynchronizeJob extends SynchronizeJob
Interface fuer einen einzelnen Synchronisierungs-Job via HBCI. Dient auch als Marker-Interface, um Implementierungen der Synchronize-Jobs zu finden.

## Field Summary

### Fields inherited from interface de.willuhn.jameica.hbci.synchronize.jobs.SynchronizeJob

`CTX_ENTITY`

## Method Summary

Modifier and Type
Method
Description
`AbstractHBCIJob[]`
`createHBCIJobs()`
Erzeugt einen oder mehrere HBCI-Jobs basierend auf dem SynchronizeJob.

### Methods inherited from interface de.willuhn.jameica.hbci.synchronize.jobs.SynchronizeJob

`configure, getContext, getKonto, getName, isRecurring, setContext, setKonto`

## Method Details

### createHBCIJobs

AbstractHBCIJob[] createHBCIJobs() throws RemoteException, de.willuhn.util.ApplicationException
Erzeugt einen oder mehrere HBCI-Jobs basierend auf dem SynchronizeJob.

Returns:
  der/die erzeugten HBCI-Jobs.
Throws:
  `RemoteException`
  `de.willuhn.util.ApplicationException`